Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robin Lee Powell <[email-masked]>
Date: Tue, 28 Jan 2003 12:20:22 -0800

On Tue, Jan 28, 2003 at 04:48:14PM +0000, Martin Bays wrote:
> > > > Any idea, for example, how best to translate ('scuse amateur
> > > > ASCII graphics):
> > > >
> > > > | |
> > > > | | A
> > > > \_/ i
> > > > i in I
> > > >
> > > > ("The union over I of A sub i"), which is the same as
> > > >
> > > > | |
> > > > | | {A : i in I}
> > > > \_/ i
> > > >
> > > > where that big union is my sorselcmipi'i (or sorkuzselcmi)? Do
> > > > we need yet another lujvo, or is there a nice translation of
> > > > that set? I don't think {lu'i .abu boi xi .ibu poi .ibu cmima
> > > > tau .ibu} really works.
> > >
> > > The set of A_i where i is a member of I. Looks fine to me.
> > >
> > > Really? Cool. I'm still not sure I like it, though, if only
> > > because I'm not completely sure how quantification with letterals
> > > (and other non-DA pro-sumti) really works. And also what
> > > poi-clauses without a ke'a mean.
> >
> > Same as the same poi clause with ke'a as the first entry.
> >
> > > Are they really just the equivalent of the English "such that", or
> > > the mathematical "s.t."/":"/"|"?
> >
> > When attached to da and friends, yes.
> >
> > > Don't suppose you could point me towards something which explains
> > > it all?
> >
> > It's in the red book somewhere. 8)
> >
> > Chapter 16, S4.
> >
> 
> No, that's not what I meant. I get all that stuff. Sorry, I was far
> from clear (damned rarbau thinking). What I meant was that in {lu'i
> .abu boi xi .ibu poi .ibu cmima tau .ibu}, the poi phrase isn't (I
> think) binding to the .ibu, which is just a lerfu string as part of
> the subscript, and if I understand my EBNF right NOI can only bind to
> a sumti. The entire {.abu boi xi .ibu} is acting as a sumti here, so
> the poi relates to that. And the poi phrase gives a condition on .ibu,
> and hence on a *part of the description* of ke'a, rather than ke'a
> itself.

Ick. You're absolutely right.

> So what I'm asking is - is this valid? Does it have the obvious
> meaning? 

If we took the .ibu out of the poi, no, but as is, yes. A poi clause,
as I understand it, need not have a ke'a; it can refer to what it is
attached to explicitely.

Probably better, though, is

lu'i .abu boi xi .ibu zo'u .ibu cmima be tau .ibu

But there really should be a way to attach some kind of clause to a
subscripted letteral, or math is going to be really hard.

Another way, and this I actually don't mind much:

lu'i .abu boi xi .ibu to .ibu cmima be tau .ibu toi

That seems workable in practice.

> Similarly, is {lo broda be da ku poi da brode} legit? 

As far as I know, but you may want to ask jboske.

> Would anything change if ko'a or .ibu replaced da? How about if ko'a
> had been used before, and still had scope, or if a recent sumti had a
> description beginning with an .ibu?

<blink>

Dunno. I think that's a usage issue.

> Also, and relatedly, is {ro boi .ibu poi kacna'u zo'u .ibu broda}
> quantifying over .ibu, or is the prenex just giving a subject
> restricting whatever .ibu already refers to to natural numbers?

I'm inclined to say the former.

> To keep clear of these difficulties, I've been using constructs like
> {ro da poi kacna'u zi'e goi .ibu zo'u .ibu broda}, which I think works
> but is a bit ugly+wordy.

Yeah. Seems unnecessary.

> > > I'll mail my crypto prof about his Elliptic Curves book, if
> > > anyone's interested in reading a book on elliptic curve cyphers.
> > > 8)
> > >
> > > In lojban? Of course!
> >
> > Well, would anyone else be interested I wonder. 8)
> 
> Ahem. Lojbanists? I think that was your cue...

We should probably extract this to a seperate thread; don't think
anyone's reading anymore. 8)

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi